<div class="member-grid">
	<ng-container *ngIf="fullscreen && !focused">
		<ng-container *ngFor="let memberConnection of webrtcService.memberConnections">
			<ng-container *ngFor="let mediaSource of memberConnection.mediaStreams">
				<div class="member-view" (click)="focusMediaStream(memberConnection, mediaSource)">
					<div class="member-view-header">
						<app-avatar
							*ngIf="memberConnection.membershipCaller.profile"
							[profile]="memberConnection.membershipCaller.profile"
						></app-avatar>
						<p class="mat-headline member-view-name">{{ memberConnection.membershipCaller.profile?.displaynameDecrypted }}</p>
					</div>
					<video autoplay [srcObject]="mediaSource.stream"></video>
				</div>
			</ng-container>
		</ng-container>
	</ng-container>

	<div *ngIf="!fullscreen || focused" class="member-view" (click)="unfocus()">
		<div class="member-view-header">
			<app-avatar
				*ngIf="focused?.memberConnection.membershipCaller.profile"
				[profile]="focused?.memberConnection.membershipCaller.profile"
			></app-avatar>
			<p class="mat-headline member-view-name">{{ focused?.memberConnection.membershipCaller.profile?.displaynameDecrypted }}</p>
		</div>
		<video autoplay [srcObject]="focused?.typedMediaStream.stream"></video>
	</div>
</div>

<div *ngIf="fullscreen" class="fullscreen-participants">
	<div *ngFor="let memberConnection of webrtcService.memberConnections">
		<app-avatar
			[profile]="memberConnection.membershipCaller.profile"
			[class.fullscreen-speaking-indicator]="memberConnection.speakingSubject | async"
		></app-avatar>
	</div>
</div>

<div class="fullscreen-controls mat-elevation-z5">
	<ng-container *ngIf="fullscreen">
		<app-call-controls></app-call-controls>
		<button mat-icon-button>
			<mat-icon>grid_on</mat-icon>
		</button></ng-container
	>
	<button mat-icon-button (click)="toggleFullscreen()">
		<mat-icon *ngIf="fullscreen">fullscreen_exit</mat-icon>
		<mat-icon *ngIf="!fullscreen">fullscreen</mat-icon>
	</button>
</div>
